diff --git a/configure.ac b/configure.ac
index 01b3bbc1be8..32fae8081ef 100644
--- a/configure.ac
+++ b/configure.ac
@@ -629,84 +629,84 @@ AC_SUBST(CXXFLAGS_SL_MODULE)
 # warning in the main build is enough.
 # 3. But we must duplicate -Wno-warning flags, else we'll see those anyway.
 if test "$with_llvm" = yes ; then
-  CLANGXX="$CLANG -xc++"
-
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-fno-strict-aliasing])
-  PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANGXX, BITCODE_CXXFLAGS, [-fno-strict-aliasing])
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-fwrapv])
-  PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANGXX, BITCODE_CXXFLAGS, [-fwrapv])
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-fexcess-precision=standard])
-  PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANGXX, BITCODE_CXXFLAGS, [-fexcess-precision=standard])
-
-  # Ideally bitcode should perhaps match $CC's use, or not, of outline atomic
-  # functions, but for now we err on the side of suppressing them in bitcode,
-  # because we can't assume they're available at runtime.  This affects aarch64
-  # builds using the basic armv8-a ISA without LSE support.
-  PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-mno-outline-atomics])
-  PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANG, BITCODE_CXXFLAGS, [-mno-outline-atomics])
-
-  NOT_THE_CFLAGS=""
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wunused-command-line-argument])
-  if test -n "$NOT_THE_CFLAGS"; then
-    BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-unused-command-line-argument"
-  fi
-  NOT_THE_CFLAGS=""
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wcompound-token-split-by-macro])
-  if test -n "$NOT_THE_CFLAGS"; then
-    BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-compound-token-split-by-macro"
-  fi
-  NOT_THE_CFLAGS=""
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wformat-truncation])
-  if test -n "$NOT_THE_CFLAGS"; then
-    BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-format-truncation"
-  fi
-  NOT_THE_CFLAGS=""
-  PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wstringop-truncation])
-  if test -n "$NOT_THE_CFLAGS"; then
-    BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-stringop-truncation"
-  fi
+	CLANGXX="$CLANG -xc++"
+
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-fno-strict-aliasing])
+	PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANGXX, BITCODE_CXXFLAGS, [-fno-strict-aliasing])
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-fwrapv])
+	PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANGXX, BITCODE_CXXFLAGS, [-fwrapv])
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-fexcess-precision=standard])
+	PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANGXX, BITCODE_CXXFLAGS, [-fexcess-precision=standard])
+
+	# Ideally bitcode should perhaps match $CC's use, or not, of outline atomic
+	# functions, but for now we err on the side of suppressing them in bitcode,
+	# because we can't assume they're available at runtime.  This affects aarch64
+	# builds using the basic armv8-a ISA without LSE support.
+	PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANG, BITCODE_CFLAGS, [-mno-outline-atomics])
+	PGAC_PROG_VARCXX_VARFLAGS_OPT(CLANG, BITCODE_CXXFLAGS, [-mno-outline-atomics])
+
+	NOT_THE_CFLAGS=""
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wunused-command-line-argument])
+	if test -n "$NOT_THE_CFLAGS"; then
+		BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-unused-command-line-argument"
+	fi
+	NOT_THE_CFLAGS=""
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wcompound-token-split-by-macro])
+	if test -n "$NOT_THE_CFLAGS"; then
+		BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-compound-token-split-by-macro"
+	fi
+	NOT_THE_CFLAGS=""
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wformat-truncation])
+	if test -n "$NOT_THE_CFLAGS"; then
+		BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-format-truncation"
+	fi
+	NOT_THE_CFLAGS=""
+	PGAC_PROG_VARCC_VARFLAGS_OPT(CLANG, NOT_THE_CFLAGS, [-Wstringop-truncation])
+	if test -n "$NOT_THE_CFLAGS"; then
+		BITCODE_CFLAGS="$BITCODE_CFLAGS -Wno-stringop-truncation"
+	fi
 fi
 
 # supply -g if --enable-debug
 if test "$enable_debug" = yes && test "$ac_cv_prog_cc_g" = yes; then
-  CFLAGS="$CFLAGS -g"
+	CFLAGS="$CFLAGS -g"
 fi
 
 if test "$enable_debug" = yes && test "$ac_cv_prog_cxx_g" = yes; then
-  CXXFLAGS="$CXXFLAGS -g"
+	CXXFLAGS="$CXXFLAGS -g"
 fi
 
 # enable code coverage if --enable-coverage
 if test "$enable_coverage" = yes; then
-  if test "$GCC" = yes; then
-    CFLAGS="$CFLAGS -fprofile-arcs -ftest-coverage"
-    CXXFLAGS="$CXXFLAGS -fprofile-arcs -ftest-coverage"
-  else
-    AC_MSG_ERROR([--enable-coverage is supported only when using GCC])
-  fi
+	if test "$GCC" = yes; then
+		CFLAGS="$CFLAGS -fprofile-arcs -ftest-coverage"
+		CXXFLAGS="$CXXFLAGS -fprofile-arcs -ftest-coverage"
+	else
+		AC_MSG_ERROR([--enable-coverage is supported only when using GCC])
+	fi
 fi
 
 # enable profiling if --enable-profiling
 if test "$enable_profiling" = yes && test "$ac_cv_prog_cc_g" = yes; then
-  if test "$GCC" = yes; then
-    AC_DEFINE([PROFILE_PID_DIR], 1,
-           [Define to 1 to allow profiling output to be saved separately for each process.])
-    CFLAGS="$CFLAGS -pg $PLATFORM_PROFILE_FLAGS"
-    CXXFLAGS="$CXXFLAGS -pg $PLATFORM_PROFILE_FLAGS"
-  else
-    AC_MSG_ERROR([--enable-profiling is supported only when using GCC])
-  fi
+	if test "$GCC" = yes; then
+		AC_DEFINE([PROFILE_PID_DIR], 1,
+					 [Define to 1 to allow profiling output to be saved separately for each process.])
+		CFLAGS="$CFLAGS -pg $PLATFORM_PROFILE_FLAGS"
+		CXXFLAGS="$CXXFLAGS -pg $PLATFORM_PROFILE_FLAGS"
+	else
+		AC_MSG_ERROR([--enable-profiling is supported only when using GCC])
+	fi
 fi
 
 # On Solaris, we need these #defines to get POSIX-conforming versions
 # of many interfaces (sigwait, getpwuid_r, shmdt, ...).
 if test "$PORTNAME" = "solaris"; then
-  CPPFLAGS="$CPPFLAGS -D_POSIX_C_SOURCE=200112L -D__EXTENSIONS__ -D_POSIX_PTHREAD_SEMANTICS"
+	CPPFLAGS="$CPPFLAGS -D_POSIX_C_SOURCE=200112L -D__EXTENSIONS__ -D_POSIX_PTHREAD_SEMANTICS"
 fi
 
 # We already have this in Makefile.win32, but configure needs it too
 if test "$PORTNAME" = "win32"; then
-  CPPFLAGS="$CPPFLAGS -I$srcdir/src/include/port/win32"
+	CPPFLAGS="$CPPFLAGS -I$srcdir/src/include/port/win32"
 fi
 
 # Now that we're done automatically adding stuff to C[XX]FLAGS, put back the
@@ -727,9 +727,9 @@ AC_SUBST(CFLAGS_SL)
 # (note, we're not checking that for CXX, which is optional)
 AC_MSG_CHECKING([whether the C compiler still works])
 AC_LINK_IFELSE([AC_LANG_PROGRAM([], [return 0;])],
-  [AC_MSG_RESULT(yes)],
-  [AC_MSG_RESULT(no)
-   AC_MSG_ERROR([cannot proceed])])
+	[AC_MSG_RESULT(yes)],
+	[AC_MSG_RESULT(no)
+	 AC_MSG_ERROR([cannot proceed])])
 
 # Defend against gcc -ffast-math
 if test "$GCC" = yes; then
@@ -762,7 +762,7 @@ AC_SUBST(GCC)
 
 AC_SUBST(DLSUFFIX)dnl
 AC_DEFINE_UNQUOTED([DLSUFFIX], ["$DLSUFFIX"],
-                   [Define to the file name extension of dynamically-loadable modules.])
+									 [Define to the file name extension of dynamically-loadable modules.])
 
 #
 # Set up pkg_config in case we need it below
@@ -773,7 +773,7 @@ PKG_PROG_PKG_CONFIG
 # Automatic dependency tracking
 #
 PGAC_ARG_BOOL(enable, depend, no, [turn on automatic dependency tracking],
-              [autodepend=yes])
+							[autodepend=yes])
 AC_SUBST(autodepend)
 
 
@@ -781,8 +781,8 @@ AC_SUBST(autodepend)
 # Enable assert checks
 #
 PGAC_ARG_BOOL(enable, cassert, no, [enable assertion checks (for debugging)],
-              [AC_DEFINE([USE_ASSERT_CHECKING], 1,
-                         [Define to 1 to build with assertion checks. (--enable-cassert)])])
+							[AC_DEFINE([USE_ASSERT_CHECKING], 1,
+												 [Define to 1 to build with assertion checks. (--enable-cassert)])])
 
 
 #
@@ -792,11 +792,11 @@ ac_save_IFS=$IFS
 IFS="${IFS}${PATH_SEPARATOR}"
 # SRCH_INC comes from the template file
 for dir in $with_includes $SRCH_INC; do
-  if test -d "$dir"; then
-    INCLUDES="$INCLUDES -I$dir"
-  else
-    AC_MSG_WARN([*** Include directory $dir does not exist.])
-  fi
+	if test -d "$dir"; then
+		INCLUDES="$INCLUDES -I$dir"
+	else
+		AC_MSG_WARN([*** Include directory $dir does not exist.])
+	fi
 done
 IFS=$ac_save_IFS
 
@@ -808,11 +808,11 @@ ac_save_IFS=$IFS
 IFS="${IFS}${PATH_SEPARATOR}"
 # LIBRARY_DIRS comes from command line, SRCH_LIB from template file.
 for dir in $LIBRARY_DIRS $SRCH_LIB; do
-  if test -d "$dir"; then
-    LIBDIRS="$LIBDIRS -L$dir"
-  else
-    AC_MSG_WARN([*** Library directory $dir does not exist.])
-  fi
+	if test -d "$dir"; then
+		LIBDIRS="$LIBDIRS -L$dir"
+	else
+		AC_MSG_WARN([*** Library directory $dir does not exist.])
+	fi
 done
 IFS=$ac_save_IFS
 
@@ -821,12 +821,12 @@ IFS=$ac_save_IFS
 #
 AC_MSG_CHECKING([whether to build with ICU support])
 PGAC_ARG_BOOL(with, icu, yes, [build without ICU support],
-              [AC_DEFINE([USE_ICU], 1, [Define to build with ICU support. (--with-icu)])])
+							[AC_DEFINE([USE_ICU], 1, [Define to build with ICU support. (--with-icu)])])
 AC_MSG_RESULT([$with_icu])
 AC_SUBST(with_icu)
 
 if test "$with_icu" = yes; then
-  PKG_CHECK_MODULES(ICU, icu-uc icu-i18n)
+	PKG_CHECK_MODULES(ICU, icu-uc icu-i18n)
 fi
 
 #
@@ -864,8 +864,8 @@ AC_SUBST(with_python)
 AC_MSG_CHECKING([whether to build with GSSAPI support])
 PGAC_ARG_BOOL(with, gssapi, no, [build with GSSAPI support],
 [
-  AC_DEFINE(ENABLE_GSS, 1, [Define to build with GSSAPI support. (--with-gssapi)])
-  krb_srvtab="FILE:\$(sysconfdir)/krb5.keytab"
+	AC_DEFINE(ENABLE_GSS, 1, [Define to build with GSSAPI support. (--with-gssapi)])
+	krb_srvtab="FILE:\$(sysconfdir)/krb5.keytab"
 ])
 AC_MSG_RESULT([$with_gssapi])
 AC_SUBST(with_gssapi)
@@ -878,12 +878,12 @@ AC_SUBST(krb_srvtab)
 # Kerberos configuration parameters
 #
 PGAC_ARG_REQ(with, krb-srvnam,
-             [NAME], [default service principal name in Kerberos (GSSAPI) [postgres]],
-             [],
-             [with_krb_srvnam="postgres"])
+						 [NAME], [default service principal name in Kerberos (GSSAPI) [postgres]],
+						 [],
+						 [with_krb_srvnam="postgres"])
 AC_SUBST(with_krb_srvnam)
 AC_DEFINE_UNQUOTED([PG_KRB_SRVNAM], ["$with_krb_srvnam"],
-                   [Define to the name of the default PostgreSQL service principal in Kerberos (GSSAPI). (--with-krb-srvnam=NAME)])
+									 [Define to the name of the default PostgreSQL service principal in Kerberos (GSSAPI). (--with-krb-srvnam=NAME)])
 
 
 #
@@ -891,8 +891,8 @@ AC_DEFINE_UNQUOTED([PG_KRB_SRVNAM], ["$with_krb_srvnam"],
 #
 AC_MSG_CHECKING([whether to build with PAM support])
 PGAC_ARG_BOOL(with, pam, no,
-              [build with PAM support],
-              [AC_DEFINE([USE_PAM], 1, [Define to 1 to build with PAM support. (--with-pam)])])
+							[build with PAM support],
+							[AC_DEFINE([USE_PAM], 1, [Define to 1 to build with PAM support. (--with-pam)])])
 AC_MSG_RESULT([$with_pam])
 
 
@@ -901,8 +901,8 @@ AC_MSG_RESULT([$with_pam])
 #
 AC_MSG_CHECKING([whether to build with BSD Authentication support])
 PGAC_ARG_BOOL(with, bsd-auth, no,
-              [build with BSD Authentication support],
-              [AC_DEFINE([USE_BSD_AUTH], 1, [Define to 1 to build with BSD Authentication support. (--with-bsd-auth)])])
+							[build with BSD Authentication support],
+							[AC_DEFINE([USE_BSD_AUTH], 1, [Define to 1 to build with BSD Authentication support. (--with-bsd-auth)])])
 AC_MSG_RESULT([$with_bsd_auth])
 
 
@@ -911,8 +911,8 @@ AC_MSG_RESULT([$with_bsd_auth])
 #
 AC_MSG_CHECKING([whether to build with LDAP support])
 PGAC_ARG_BOOL(with, ldap, no,
-              [build with LDAP support],
-              [AC_DEFINE([USE_LDAP], 1, [Define to 1 to build with LDAP support. (--with-ldap)])])
+							[build with LDAP support],
+							[AC_DEFINE([USE_LDAP], 1, [Define to 1 to build with LDAP support. (--with-ldap)])])
 AC_MSG_RESULT([$with_ldap])
 AC_SUBST(with_ldap)
 
@@ -922,8 +922,8 @@ AC_SUBST(with_ldap)
 #
 AC_MSG_CHECKING([whether to build with Bonjour support])
 PGAC_ARG_BOOL(with, bonjour, no,
-              [build with Bonjour support],
-              [AC_DEFINE([USE_BONJOUR], 1, [Define to 1 to build with Bonjour support. (--with-bonjour)])])
+							[build with Bonjour support],
+							[AC_DEFINE([USE_BONJOUR], 1, [Define to 1 to build with Bonjour support. (--with-bonjour)])])
 AC_MSG_RESULT([$with_bonjour])
 
 
@@ -940,7 +940,7 @@ AC_MSG_RESULT([$with_selinux])
 #
 AC_MSG_CHECKING([whether to build with systemd support])
 PGAC_ARG_BOOL(with, systemd, no, [build with systemd support],
-              [AC_DEFINE([USE_SYSTEMD], 1, [Define to build with systemd support. (--with-systemd)])])
+							[AC_DEFINE([USE_SYSTEMD], 1, [Define to build with systemd support. (--with-systemd)])])
 AC_SUBST(with_systemd)
 AC_MSG_RESULT([$with_systemd])
 
@@ -948,15 +948,15 @@ AC_MSG_RESULT([$with_systemd])
 # Readline
 #
 PGAC_ARG_BOOL(with, readline, yes,
-              [do not use GNU Readline nor BSD Libedit for editing])
+							[do not use GNU Readline nor BSD Libedit for editing])
 # readline on MinGW has problems with backslashes in psql and other bugs.
 # This is particularly a problem with non-US code pages.
 # Therefore disable its use until we understand the cause. 2004-07-20
 if test "$PORTNAME" = "win32"; then
-  if test "$with_readline" = yes; then
-    AC_MSG_WARN([*** Readline does not work on MinGW --- disabling])
-    with_readline=no
-  fi
+	if test "$with_readline" = yes; then
+		AC_MSG_WARN([*** Readline does not work on MinGW --- disabling])
+		with_readline=no
+	fi
 fi
 AC_SUBST(with_readline)
 
@@ -965,19 +965,19 @@ AC_SUBST(with_readline)
 # Prefer libedit
 #
 PGAC_ARG_BOOL(with, libedit-preferred, no,
-              [prefer BSD Libedit over GNU Readline])
+							[prefer BSD Libedit over GNU Readline])
 
 #
 # liburing
 #
 AC_MSG_CHECKING([whether to build with liburing support])
 PGAC_ARG_BOOL(with, liburing, no, [build with io_uring support, for asynchronous I/O],
-              [AC_DEFINE([USE_LIBURING], 1, [Define to build with io_uring support. (--with-liburing)])])
+							[AC_DEFINE([USE_LIBURING], 1, [Define to build with io_uring support. (--with-liburing)])])
 AC_MSG_RESULT([$with_liburing])
 AC_SUBST(with_liburing)
 
 if test "$with_liburing" = yes; then
-  PKG_CHECK_MODULES(LIBURING, liburing)
+	PKG_CHECK_MODULES(LIBURING, liburing)
 fi
 
 #
@@ -990,23 +990,23 @@ fi
 #
 PGAC_ARG_REQ(with, uuid, [LIB], [build contrib/uuid-ossp using LIB (bsd,e2fs,ossp)])
 if test x"$with_uuid" = x"" ; then
-  with_uuid=no
+	with_uuid=no
 fi
 PGAC_ARG_BOOL(with, ossp-uuid, no, [obsolete spelling of --with-uuid=ossp])
 if test "$with_ossp_uuid" = yes ; then
-  with_uuid=ossp
+	with_uuid=ossp
 fi
 
 if test "$with_uuid" != no ; then
-  if test "$with_uuid" = bsd ; then
-    AC_DEFINE([HAVE_UUID_BSD], 1, [Define to 1 if you have BSD UUID support.])
-  elif test "$with_uuid" = e2fs ; then
-    AC_DEFINE([HAVE_UUID_E2FS], 1, [Define to 1 if you have E2FS UUID support.])
-  elif test "$with_uuid" = ossp ; then
-    AC_DEFINE([HAVE_UUID_OSSP], 1, [Define to 1 if you have OSSP UUID support.])
-  else
-    AC_MSG_ERROR([--with-uuid must specify one of bsd, e2fs, or ossp])
-  fi
+	if test "$with_uuid" = bsd ; then
+		AC_DEFINE([HAVE_UUID_BSD], 1, [Define to 1 if you have BSD UUID support.])
+	elif test "$with_uuid" = e2fs ; then
+		AC_DEFINE([HAVE_UUID_E2FS], 1, [Define to 1 if you have E2FS UUID support.])
+	elif test "$with_uuid" = ossp ; then
+		AC_DEFINE([HAVE_UUID_OSSP], 1, [Define to 1 if you have OSSP UUID support.])
+	else
+		AC_MSG_ERROR([--with-uuid must specify one of bsd, e2fs, or ossp])
+	fi
 fi
 AC_SUBST(with_uuid)
 
@@ -1016,40 +1016,40 @@ AC_SUBST(with_uuid)
 #
 AC_MSG_CHECKING([whether to build with libcurl support])
 PGAC_ARG_BOOL(with, libcurl, no, [build with libcurl support],
-              [AC_DEFINE([USE_LIBCURL], 1, [Define to 1 to build with libcurl support. (--with-libcurl)])])
+							[AC_DEFINE([USE_LIBCURL], 1, [Define to 1 to build with libcurl support. (--with-libcurl)])])
 AC_MSG_RESULT([$with_libcurl])
 AC_SUBST(with_libcurl)
 
 if test "$with_libcurl" = yes ; then
-  # Check for libcurl 7.61.0 or higher (corresponding to RHEL8 and the ability
-  # to explicitly set TLS 1.3 ciphersuites).
-  PKG_CHECK_MODULES(LIBCURL, [libcurl >= 7.61.0])
+	# Check for libcurl 7.61.0 or higher (corresponding to RHEL8 and the ability
+	# to explicitly set TLS 1.3 ciphersuites).
+	PKG_CHECK_MODULES(LIBCURL, [libcurl >= 7.61.0])
 
-  # Curl's flags are kept separate from the standard CPPFLAGS/LDFLAGS. We use
-  # them only for libpq-oauth.
-  LIBCURL_CPPFLAGS=
-  LIBCURL_LDFLAGS=
+	# Curl's flags are kept separate from the standard CPPFLAGS/LDFLAGS. We use
+	# them only for libpq-oauth.
+	LIBCURL_CPPFLAGS=
+	LIBCURL_LDFLAGS=
 
-  # We only care about -I, -D, and -L switches. Note that -lcurl will be added
-  # to LIBCURL_LDLIBS by PGAC_CHECK_LIBCURL, below.
-  for pgac_option in $LIBCURL_CFLAGS; do
-    case $pgac_option in
-      -I*|-D*) LIBCURL_CPPFLAGS="$LIBCURL_CPPFLAGS $pgac_option";;
-    esac
-  done
-  for pgac_option in $LIBCURL_LIBS; do
-    case $pgac_option in
-      -L*) LIBCURL_LDFLAGS="$LIBCURL_LDFLAGS $pgac_option";;
-    esac
-  done
+	# We only care about -I, -D, and -L switches. Note that -lcurl will be added
+	# to LIBCURL_LDLIBS by PGAC_CHECK_LIBCURL, below.
+	for pgac_option in $LIBCURL_CFLAGS; do
+		case $pgac_option in
+			-I*|-D*) LIBCURL_CPPFLAGS="$LIBCURL_CPPFLAGS $pgac_option";;
+		esac
+	done
+	for pgac_option in $LIBCURL_LIBS; do
+		case $pgac_option in
+			-L*) LIBCURL_LDFLAGS="$LIBCURL_LDFLAGS $pgac_option";;
+		esac
+	done
 
-  AC_SUBST(LIBCURL_CPPFLAGS)
-  AC_SUBST(LIBCURL_LDFLAGS)
+	AC_SUBST(LIBCURL_CPPFLAGS)
+	AC_SUBST(LIBCURL_LDFLAGS)
 
-  # OAuth requires python for testing
-  if test "$with_python" != yes; then
-    AC_MSG_WARN([*** OAuth support tests require --with-python to run])
-  fi
+	# OAuth requires python for testing
+	if test "$with_python" != yes; then
+		AC_MSG_WARN([*** OAuth support tests require --with-python to run])
+	fi
 fi
 
 
@@ -1058,13 +1058,13 @@ fi
 #
 AC_MSG_CHECKING([whether to build with libnuma support])
 PGAC_ARG_BOOL(with, libnuma, no, [build with libnuma support],
-              [AC_DEFINE([USE_LIBNUMA], 1, [Define to build with NUMA support. (--with-libnuma)])])
+							[AC_DEFINE([USE_LIBNUMA], 1, [Define to build with NUMA support. (--with-libnuma)])])
 AC_MSG_RESULT([$with_libnuma])
 AC_SUBST(with_libnuma)
 
 if test "$with_libnuma" = yes ; then
-  AC_CHECK_LIB(numa,    numa_available, [], [AC_MSG_ERROR([library 'libnuma' is required for NUMA support])])
-  PKG_CHECK_MODULES(LIBNUMA, numa)
+	AC_CHECK_LIB(numa,    numa_available, [], [AC_MSG_ERROR([library 'libnuma' is required for NUMA support])])
+	PKG_CHECK_MODULES(LIBNUMA, numa)
 fi
 
 #
@@ -1072,37 +1072,37 @@ fi
 #
 AC_MSG_CHECKING([whether to build with XML support])
 PGAC_ARG_BOOL(with, libxml, no, [build with XML support],
-              [AC_DEFINE([USE_LIBXML], 1, [Define to 1 to build with XML support. (--with-libxml)])])
+							[AC_DEFINE([USE_LIBXML], 1, [Define to 1 to build with XML support. (--with-libxml)])])
 AC_MSG_RESULT([$with_libxml])
 AC_SUBST(with_libxml)
 
 if test "$with_libxml" = yes ; then
-  # Check pkg-config, then xml2-config.  But for backwards compatibility,
-  # setting XML2_CONFIG overrides pkg-config.
-  AC_ARG_VAR(XML2_CONFIG, [path to xml2-config utility])dnl
-  have_libxml2_pkg_config=no
-  if test -z "$XML2_CONFIG" -a -n "$PKG_CONFIG"; then
-    PKG_CHECK_MODULES(XML2, [libxml-2.0 >= 2.6.23],
-                      [have_libxml2_pkg_config=yes], [# do nothing])
-  fi
-  if test "$have_libxml2_pkg_config" = no ; then
-    PGAC_PATH_PROGS(XML2_CONFIG, xml2-config)
-    if test -n "$XML2_CONFIG"; then
-      XML2_CFLAGS=`$XML2_CONFIG --cflags`
-      XML2_LIBS=`$XML2_CONFIG --libs`
-    fi
-  fi
-  # Note the user could also set XML2_CFLAGS/XML2_LIBS directly
-  for pgac_option in $XML2_CFLAGS; do
-    case $pgac_option in
-      -I*|-D*) INCLUDES="$INCLUDES $pgac_option";;
-    esac
-  done
-  for pgac_option in $XML2_LIBS; do
-    case $pgac_option in
-      -L*) LIBDIRS="$LIBDIRS $pgac_option";;
-    esac
-  done
+	# Check pkg-config, then xml2-config.  But for backwards compatibility,
+	# setting XML2_CONFIG overrides pkg-config.
+	AC_ARG_VAR(XML2_CONFIG, [path to xml2-config utility])dnl
+	have_libxml2_pkg_config=no
+	if test -z "$XML2_CONFIG" -a -n "$PKG_CONFIG"; then
+		PKG_CHECK_MODULES(XML2, [libxml-2.0 >= 2.6.23],
+											[have_libxml2_pkg_config=yes], [# do nothing])
+	fi
+	if test "$have_libxml2_pkg_config" = no ; then
+		PGAC_PATH_PROGS(XML2_CONFIG, xml2-config)
+		if test -n "$XML2_CONFIG"; then
+			XML2_CFLAGS=`$XML2_CONFIG --cflags`
+			XML2_LIBS=`$XML2_CONFIG --libs`
+		fi
+	fi
+	# Note the user could also set XML2_CFLAGS/XML2_LIBS directly
+	for pgac_option in $XML2_CFLAGS; do
+		case $pgac_option in
+			-I*|-D*) INCLUDES="$INCLUDES $pgac_option";;
+		esac
+	done
+	for pgac_option in $XML2_LIBS; do
+		case $pgac_option in
+			-L*) LIBDIRS="$LIBDIRS $pgac_option";;
+		esac
+	done
 fi
 
 
@@ -1110,7 +1110,7 @@ fi
 # XSLT
 #
 PGAC_ARG_BOOL(with, libxslt, no, [use XSLT support when building contrib/xml2],
-              [AC_DEFINE([USE_LIBXSLT], 1, [Define to 1 to use XSLT support when building contrib/xml2. (--with-libxslt)])])
+							[AC_DEFINE([USE_LIBXSLT], 1, [Define to 1 to use XSLT support when building contrib/xml2. (--with-libxslt)])])
 
 
 AC_SUBST(with_libxslt)
@@ -1119,14 +1119,14 @@ AC_SUBST(with_libxslt)
 # tzdata
 #
 PGAC_ARG_REQ(with, system-tzdata,
-             [DIR], [use system time zone data in DIR])
+						 [DIR], [use system time zone data in DIR])
 AC_SUBST(with_system_tzdata)
 
 #
 # Zlib
 #
 PGAC_ARG_BOOL(with, zlib, yes,
-              [do not use Zlib])
+							[do not use Zlib])
 AC_SUBST(with_zlib)
 
 #
@@ -1134,24 +1134,24 @@ AC_SUBST(with_zlib)
 #
 AC_MSG_CHECKING([whether to build with LZ4 support])
 PGAC_ARG_BOOL(with, lz4, no, [build with LZ4 support],
-              [AC_DEFINE([USE_LZ4], 1, [Define to 1 to build with LZ4 support. (--with-lz4)])])
+							[AC_DEFINE([USE_LZ4], 1, [Define to 1 to build with LZ4 support. (--with-lz4)])])
 AC_MSG_RESULT([$with_lz4])
 AC_SUBST(with_lz4)
 
 if test "$with_lz4" = yes; then
-  PKG_CHECK_MODULES(LZ4, liblz4)
-  # We only care about -I, -D, and -L switches;
-  # note that -llz4 will be added by AC_CHECK_LIB below.
-  for pgac_option in $LZ4_CFLAGS; do
-    case $pgac_option in
-      -I*|-D*) INCLUDES="$INCLUDES $pgac_option";;
-    esac
-  done
-  for pgac_option in $LZ4_LIBS; do
-    case $pgac_option in
-      -L*) LIBDIRS="$LIBDIRS $pgac_option";;
-    esac
-  done
+	PKG_CHECK_MODULES(LZ4, liblz4)
+	# We only care about -I, -D, and -L switches;
+	# note that -llz4 will be added by AC_CHECK_LIB below.
+	for pgac_option in $LZ4_CFLAGS; do
+		case $pgac_option in
+			-I*|-D*) INCLUDES="$INCLUDES $pgac_option";;
+		esac
+	done
+	for pgac_option in $LZ4_LIBS; do
+		case $pgac_option in
+			-L*) LIBDIRS="$LIBDIRS $pgac_option";;
+		esac
+	done
 fi
 
 #
@@ -1159,24 +1159,24 @@ fi
 #
 AC_MSG_CHECKING([whether to build with ZSTD support])
 PGAC_ARG_BOOL(with, zstd, no, [build with ZSTD support],
-              [AC_DEFINE([USE_ZSTD], 1, [Define to 1 to build with ZSTD support. (--with-zstd)])])
+							[AC_DEFINE([USE_ZSTD], 1, [Define to 1 to build with ZSTD support. (--with-zstd)])])
 AC_MSG_RESULT([$with_zstd])
 AC_SUBST(with_zstd)
 
 if test "$with_zstd" = yes; then
-  PKG_CHECK_MODULES(ZSTD, libzstd >= 1.4.0)
-  # We only care about -I, -D, and -L switches;
-  # note that -lzstd will be added by AC_CHECK_LIB below.
-  for pgac_option in $ZSTD_CFLAGS; do
-    case $pgac_option in
-      -I*|-D*) INCLUDES="$INCLUDES $pgac_option";;
-    esac
-  done
-  for pgac_option in $ZSTD_LIBS; do
-    case $pgac_option in
-      -L*) LIBDIRS="$LIBDIRS $pgac_option";;
-    esac
-  done
+	PKG_CHECK_MODULES(ZSTD, libzstd >= 1.4.0)
+	# We only care about -I, -D, and -L switches;
+	# note that -lzstd will be added by AC_CHECK_LIB below.
+	for pgac_option in $ZSTD_CFLAGS; do
+		case $pgac_option in
+			-I*|-D*) INCLUDES="$INCLUDES $pgac_option";;
+		esac
+	done
+	for pgac_option in $ZSTD_LIBS; do
+		case $pgac_option in
+			-L*) LIBDIRS="$LIBDIRS $pgac_option";;
+		esac
+	done
 fi
 #
 # Assignments
@@ -1191,7 +1191,7 @@ AC_ARG_VAR(LDFLAGS_SL, [extra linker flags for linking shared libraries only])
 PGAC_CHECK_STRIP
 AC_CHECK_TOOL(AR, ar, ar)
 if test "$PORTNAME" = "win32"; then
-  AC_CHECK_TOOL(WINDRES, windres, windres)
+	AC_CHECK_TOOL(WINDRES, windres, windres)
 fi
 
 AC_PROG_INSTALL
@@ -1199,8 +1199,8 @@ AC_PROG_INSTALL
 # a relative path to it in each makefile where it substitutes it. This clashes
 # with our Makefile.global concept. This workaround helps.
 case $INSTALL in
-  *install-sh*) install_bin='';;
-  *) install_bin=$INSTALL;;
+	*install-sh*) install_bin='';;
+	*) install_bin=$INSTALL;;
 esac
 AC_SUBST(install_bin)
 
@@ -1211,7 +1211,7 @@ AC_PROG_MKDIR_P
 # a relative path to it in each makefile where it substitutes it. This clashes
 # with our Makefile.global concept. This workaround helps.
 case $MKDIR_P in
-  *install-sh*) MKDIR_P='\${SHELL} \${top_srcdir}/config/install-sh -c -d';;
+	*install-sh*) MKDIR_P='\${SHELL} \${top_srcdir}/config/install-sh -c -d';;
 esac
 
 AC_PATH_PROG(NM, nm)
@@ -1221,43 +1221,43 @@ PGAC_PATH_FLEX
 
 PGAC_PATH_PERL
 if test "$with_perl" = yes; then
-  if test -z "$PERL"; then
-    AC_MSG_ERROR([Perl not found])
-  fi
-  PGAC_CHECK_PERL_CONFIGS([archlibexp,privlibexp,useshrplib])
-  if test "$perl_useshrplib" != yes && test "$perl_useshrplib" != true; then
-    AC_MSG_ERROR([cannot build PL/Perl because libperl is not a shared library
+	if test -z "$PERL"; then
+		AC_MSG_ERROR([Perl not found])
+	fi
+	PGAC_CHECK_PERL_CONFIGS([archlibexp,privlibexp,useshrplib])
+	if test "$perl_useshrplib" != yes && test "$perl_useshrplib" != true; then
+		AC_MSG_ERROR([cannot build PL/Perl because libperl is not a shared library
 You might have to rebuild your Perl installation.  Refer to the
 documentation for details.  Use --without-perl to disable building
 PL/Perl.])
-  fi
-  # On most platforms, archlibexp is also where the Perl include files live ...
-  perl_includespec="-I$perl_archlibexp/CORE"
-  # ... but on newer macOS versions, we must use -iwithsysroot to look
-  # under $PG_SYSROOT
-  if test \! -f "$perl_archlibexp/CORE/perl.h" ; then
-    if test -f "$PG_SYSROOT$perl_archlibexp/CORE/perl.h" ; then
-      perl_includespec="-iwithsysroot $perl_archlibexp/CORE"
-    fi
-  fi
-  AC_SUBST(perl_includespec)dnl
-  PGAC_CHECK_PERL_EMBED_CCFLAGS
-  PGAC_CHECK_PERL_EMBED_LDFLAGS
+	fi
+	# On most platforms, archlibexp is also where the Perl include files live ...
+	perl_includespec="-I$perl_archlibexp/CORE"
+	# ... but on newer macOS versions, we must use -iwithsysroot to look
+	# under $PG_SYSROOT
+	if test \! -f "$perl_archlibexp/CORE/perl.h" ; then
+		if test -f "$PG_SYSROOT$perl_archlibexp/CORE/perl.h" ; then
+			perl_includespec="-iwithsysroot $perl_archlibexp/CORE"
+		fi
+	fi
+	AC_SUBST(perl_includespec)dnl
+	PGAC_CHECK_PERL_EMBED_CCFLAGS
+	PGAC_CHECK_PERL_EMBED_LDFLAGS
 fi
 
 if test "$with_python" = yes; then
-  PGAC_PATH_PYTHON
-  PGAC_CHECK_PYTHON_EMBED_SETUP
+	PGAC_PATH_PYTHON
+	PGAC_CHECK_PYTHON_EMBED_SETUP
 fi
 
 if test x"$cross_compiling" = x"yes" && test -z "$with_system_tzdata"; then
-  PGAC_PATH_PROGS(ZIC, zic)
-  if test -z "$ZIC"; then
-    AC_MSG_ERROR([
+	PGAC_PATH_PROGS(ZIC, zic)
+	if test -z "$ZIC"; then
+		AC_MSG_ERROR([
 When cross-compiling, either use the option --with-system-tzdata to use
 existing time-zone data, or set the environment variable ZIC to a zic
 program to use during the build.])
-  fi
+	fi
 fi
 
 #
@@ -1339,34 +1339,34 @@ AC_SEARCH_LIBS(backtrace_symbols, execinfo)
 AC_SEARCH_LIBS(pthread_barrier_wait, pthread)
 
 if test "$with_readline" = yes; then
-  PGAC_CHECK_READLINE
-  if test x"$pgac_cv_check_readline" = x"no"; then
-    AC_MSG_ERROR([readline library not found
+	PGAC_CHECK_READLINE
+	if test x"$pgac_cv_check_readline" = x"no"; then
+		AC_MSG_ERROR([readline library not found
 If you have readline already installed, see config.log for details on the
 failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-readline to disable readline support.])
-  fi
+	fi
 fi
 
 if test "$with_zlib" = yes; then
-  AC_CHECK_LIB(z, inflate, [],
-               [AC_MSG_ERROR([zlib library not found
+	AC_CHECK_LIB(z, inflate, [],
+							 [AC_MSG_ERROR([zlib library not found
 If you have zlib already installed, see config.log for details on the
 failure.  It is possible the compiler isn't looking in the proper directory.
 Use --without-zlib to disable zlib support.])])
 fi
 
 if test "$with_libcurl" = yes ; then
-  PGAC_CHECK_LIBCURL
+	PGAC_CHECK_LIBCURL
 fi
 
 if test "$with_gssapi" = yes ; then
-  if test "$PORTNAME" != "win32"; then
-    AC_SEARCH_LIBS(gss_store_cred_into, [gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'], [],
-                   [AC_MSG_ERROR([could not find function 'gss_store_cred_into' required for GSSAPI])])
-  else
-    LIBS="$LIBS -lgssapi32"
-  fi
+	if test "$PORTNAME" != "win32"; then
+		AC_SEARCH_LIBS(gss_store_cred_into, [gssapi_krb5 gss 'gssapi -lkrb5 -lcrypto'], [],
+									 [AC_MSG_ERROR([could not find function 'gss_store_cred_into' required for GSSAPI])])
+	else
+		LIBS="$LIBS -lgssapi32"
+	fi
 fi
 
 #
